Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TAO::SL3::ObjectCredentialsPolicy Class Reference

POA-specific Policy containing server's "own" credentials. More...

`#include <SL3_ObjectCredentialsPolicy.h>`

Inheritance diagram for TAO::SL3::ObjectCredentialsPolicy:

[legend]
Collaboration diagram for TAO::SL3::ObjectCredentialsPolicy:

[legend]
List of all members.

## Public Member Functions
| ObjectCredentialsPolicy (const SecurityLevel3::OwnCredentialsList &creds)
| Constructor.
SecurityLevel3::ObjectCredentialsPolicy Methods
Methods required by the SecurityLevel3::ObjectCredentialsPolicy interface.
virtual SecurityLevel3::OwnCredentialsList * | creds_list (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw (CORBA::SystemException)
## Protected Member Functions
| ~ObjectCredentialsPolicy (void)
| Destructor.
## Private Attributes
SecurityLevel3::OwnCredentialsList | creds_list_
| List of POA-specific OwnCredentials.

## Detailed Description

POA-specific Policy containing server's "own" credentials.

This policy may be passed in the PolicyList argument of PortableServer::POA::create_POA() method. Targets under that POA will have the credentials contained within this Policy associated with them.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::SL3::ObjectCredentialsPolicy::ObjectCredentialsPolicy | ( | const SecurityLevel3::OwnCredentialsList & | creds | ) |

| Constructor.

TAO::SL3::ObjectCredentialsPolicy::~ObjectCredentialsPolicy | ( | void |  | ) | `[protected]`

| Destructor. Protected destructor to enforce proper memory management through the reference counting mechanism.

## Member Function Documentation

CORBA::Policy_ptr TAO::SL3::ObjectCredentialsPolicy::copy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

SecurityLevel3::OwnCredentialsList * TAO::SL3::ObjectCredentialsPolicy::creds_list | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO::SL3::ObjectCredentialsPolicy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

CORBA::PolicyType TAO::SL3::ObjectCredentialsPolicy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

SecurityLevel3::OwnCredentialsList TAO::SL3::ObjectCredentialsPolicy::creds_list_`[private]`

| List of POA-specific OwnCredentials.

The documentation for this class was generated from the following files:

- SL3_ObjectCredentialsPolicy.h
- SL3_ObjectCredentialsPolicy.cpp